Referência de APIWallet
Get wallet transaction history
Retrieve the full transaction history for a member's wallet.
Retrieve the full transaction history for a member's wallet.
Authorization
ApiKeyAuth X-API-Key<token>
API key authentication. Pass your API key via the X-API-Key header. Alternatively, you can use Authorization: Bearer {key}.
In: header
Query Parameters
email*string
Member email address
Format
emailResponse Body
application/json
application/json
application/json
curl -X GET "https://api-base.rafo.work/api/v1/wallet/transactions?email=customer%40example.com"{
"data": {
"memberId": "550e8400-e29b-41d4-a716-446655440000",
"transactions": [
{
"id": "770e8400-e29b-41d4-a716-446655440002",
"type": "credit",
"status": "available",
"amount": 2000,
"description": "Indicação aprovada",
"createdAt": "2026-01-15T10:30:00Z"
}
]
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "MEMBER_NOT_FOUND",
"message": "Member not found"
}
}